import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbiCheckbox implements ControlValueAccessor, OnInit {
    private _renderer;
    readonly labelId: string;
    inputElementRef: ElementRef<HTMLInputElement>;
    set disabled(value: unknown);
    set grouped(value: unknown);
    set indeterminate(value: unknown);
    onChange: (newValue: boolean) => void;
    onTouched: () => void;
    _grouped: boolean;
    _disabled: boolean;
    _indeterminate: boolean;
    constructor(_renderer: Renderer2);
    ngOnInit(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    setIndeterminateState(indeterminate: boolean): void;
    writeValue(newValue: boolean): void;
    onChangeEvent(event: Event): void;
    private setProperty;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbiCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbiCheckbox, "bbi-checkbox", never, { "grouped": "grouped"; "disabled": "disabled"; "indeterminate": "indeterminate"; }, {}, never, ["*"]>;
}
